## org.apache.mahout.classifier.bayes
Class PrepareTwentyNewsgroups

    java.lang.Object
      org.apache.mahout.classifier.bayes.PrepareTwentyNewsgroups

    public final class PrepareTwentyNewsgroups

extends Object

Prepare the 20 Newsgroups files for training using the `BayesFileFormatter`. This class takes the directory containing the extracted newsgroups and collapses them into a single file per category, with one document per line (first token on each line is the label)

Method Summary
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.